### Enumeration

# Clutter PathNodeType

since: 13

#### Declaration

    enum Clutter.PathNodeType

#### Description [src]

Types of nodes in a `ClutterPath`.

Available since: 13

#### Members

`CLUTTER_PATH_MOVE_TO`

  Jump to the given position.

  - Value: `0`
  - Nickname: `move-to`
  - Available since: 13
`CLUTTER_PATH_LINE_TO`

  Create a line from the last node to the given position.

  - Value: `1`
  - Nickname: `line-to`
  - Available since: 13
`CLUTTER_PATH_CURVE_TO`

  Bezier curve using the last position and three control points.

  - Value: `2`
  - Nickname: `curve-to`
  - Available since: 13
`CLUTTER_PATH_CLOSE`

  Create a line from the last node to the last `CLUTTER_PATH_MOVE_TO` node.

  - Value: `3`
  - Nickname: `close`
  - Available since: 13
`CLUTTER_PATH_REL_MOVE_TO`

  Same as `CLUTTER_PATH_MOVE_TO` but with coordinates relative to the last node.

  - Value: `32`
  - Nickname: `rel-move-to`
  - Available since: 13
`CLUTTER_PATH_REL_LINE_TO`

  Same as `CLUTTER_PATH_LINE_TO` but with coordinates relative to the last node.

  - Value: `33`
  - Nickname: `rel-line-to`
  - Available since: 13
`CLUTTER_PATH_REL_CURVE_TO`

  Same as `CLUTTER_PATH_CURVE_TO` but with coordinates relative to the last node.

  - Value: `34`
  - Nickname: `rel-curve-to`
  - Available since: 13